BaseArnl: ArCentralMultiRobot::Robot Class Reference

- Main Page
- Classes
- Related Pages
- Examples

- Class List
- Class Hierarchy
- Class Members

# ArCentralMultiRobot::Robot Class Reference

`#include <ArCentralMultiRobot.h>`

List of all members.

## Detailed Description

This class holds the information from the client robot and also holds the pointers to the functors to delete when this item is deleted.

## Public Member Functions
| Robot (const char *robotName, unsigned int precedenceBase, ArFunctor2< ArNetPacket *, ArCentralForwarder * > *multiRobotToServerCB, ArFunctor2< ArNetPacket *, ArCentralForwarder * > *multiRobotInfoCB)
  | Parameters:
  | robotName | the robot's unique name
virtual | ~Robot ()
| Destructor.
const char * | getRobotName (void)
| Gets the robot's name.
long | getPrecedence (void)
| Gets the robot's precedence.
int | getPrecedenceClass (void)
| Gets the robot's precedence class.
long | getPrecedenceBase (void)
| Gets the robot's precedence base.
bool | isDataGood (void)
| Checks all the things and just tells us if we want to use this robot or not.
bool | haveThAndVel (void)
| Checks if we have th and vel.
ArPose | getPose (void)
| Gets our current pose.
double | getX (void)
| Gets our x.
double | getY (void)
| Gets our y.
double | getTh (void)
| Gets our th.
const char * | getMapName (void)
| Gets our map.
std::list< ArPose > * | getPath (void)
| Gets the pointer to our path.
int | getShortPathNumPoints (void)
| Gets the number of points in the short path.
int | getVel (void)
| Gets out velocity.
int | getRobotRadius (void)
| Gets the robot's adjusted radius.
int | getRealRobotRadius (void)
| Gets the robot's real radius.
int | getPathRadius (void)
| Gets the robot's path radius.
unsigned char | getFlags1 (void)
| Gets the flags.
unsigned char | getCapabilityFlags1 (void)
| Gets the capability flags.
ArTime | getStartedWaitingToFail (void)
| Gets when we started waiting to fail.
std::list< ArPose > * | getStraightPathPoints (void)
| Gets the pointer to the straight part of our path.
ArLineSegment | getStraightPathLine (void)
| Gets the possibly extended straight path line segment.
std::list< ArPose > * | getNonStraightPathPoints (void)
| Gets the pointer to the non straight part of our path.
bool | hasNewPath (void)
| sees if we have a new path
void | avoidRobot (Robot *otherRobot, bool logMore)
| Has this robot avoid the other robot.
bool | isAvoidingRobot (Robot *otherRobot)
| Sees if this robot is avoiding the other robot.
void | clearRobot (Robot *otherRobot)
| Makes this robot no longer avoid the other robot.
std::set< Robot * > * | getAvoidingRobots (void)
| Gets the avoiding robot.
void | setData (ArNetPacket *packet, int straightPathPointWidth, int straightPathLengthAddition, int pathCheckPadding)
| Sets the data from the frequent packet.
void | setInfo (ArNetPacket *packet)
| sets the data from the occasional

## Constructor & Destructor Documentation

ArCentralMultiRobot::Robot::Robot | ( | const char * | robotName,
|  | unsigned int | precedenceBase,
|  | ArFunctor2< ArNetPacket *, ArCentralForwarder * > * | multiRobotToServerCB,
|  | ArFunctor2< ArNetPacket *, ArCentralForwarder * > * | multiRobotInfoCB |
| ) |  |  | `[inline]`

Parameters:

  | robotName | the robot's unique name

Parameters:

  | precedenceBase | the robot's precedence level
  | multiRobotToServerCB | the functor the ArCentralMultiRobot will use to parse the data, its just here so that it can all be cleaned up at once